diff --git a/include/dwg.h b/include/dwg.h
index 3b2da2a4f8..4c4c5ac4b8 100644
--- a/include/dwg.h
+++ b/include/dwg.h
@@ -7350,36 +7350,42 @@ typedef struct _dwg_object_BREAKPOINTREF
 typedef struct _dwg_entity_FLIPGRIPENTITY
 {
   struct _dwg_object_entity *parent;
+  //BLOCKGRIP_fields;
   // ??
 } Dwg_Entity_FLIPGRIPENTITY;
 
 typedef struct _dwg_entity_LINEARGRIPENTITY
 {
   struct _dwg_object_entity *parent;
+  //BLOCKGRIP_fields;
   // ??
 } Dwg_Entity_LINEARGRIPENTITY;
 
 typedef struct _dwg_entity_POLARGRIPENTITY
 {
   struct _dwg_object_entity *parent;
+  //BLOCKGRIP_fields;
   // ??
 } Dwg_Entity_POLARGRIPENTITY;
 
 typedef struct _dwg_entity_ROTATIONGRIPENTITY
 {
   struct _dwg_object_entity *parent;
+  //BLOCKGRIP_fields;
   // ??
 } Dwg_Entity_ROTATIONGRIPENTITY;
 
 typedef struct _dwg_entity_VISIBILITYGRIPENTITY
 {
   struct _dwg_object_entity *parent;
+  //BLOCKGRIP_fields;
   // ??
 } Dwg_Entity_VISIBILITYGRIPENTITY;
 
 typedef struct _dwg_entity_XYGRIPENTITY
 {
   struct _dwg_object_entity *parent;
+  //BLOCKGRIP_fields;
   // ??
 } Dwg_Entity_XYGRIPENTITY;
 
@@ -7450,10 +7456,10 @@ typedef struct _dwg_object_BLOCKANGULARCONSTRAINTPARAMETER
   struct _dwg_object_object *parent;
   BLOCKCONSTRAINTPARAMETER_fields;
   BITCODE_3BD center_pt;	/* DXF 1011 */
-  BITCODE_3BD end_pt;	/* DXF 1012 */
-  BITCODE_T expr_name;	/* DXF 305 */
+  BITCODE_3BD end_pt;		/* DXF 1012 */
+  BITCODE_T expr_name;		/* DXF 305 */
   BITCODE_T expr_description;	/* DXF 306 */
-  BITCODE_BD angle;	/* DXF 140, offset is the result */
+  BITCODE_BD angle;		/* DXF 140, offset is the result */
   BITCODE_B orientation_on_both_grips;	/* DXF 280 */
   BLOCKPARAMVALUESET_fields;
 } Dwg_Object_BLOCKANGULARCONSTRAINTPARAMETER;
@@ -7462,9 +7468,9 @@ typedef struct _dwg_object_BLOCKDIAMETRICCONSTRAINTPARAMETER
 {
   struct _dwg_object_object *parent;
   BLOCKCONSTRAINTPARAMETER_fields;
-  BITCODE_T expr_name;  /* DXF 305, a copy of the EvalExpr name */
-  BITCODE_T expr_description; /* DXF 306 */
-  BITCODE_BD distance;  /* DXF 140 */
+  BITCODE_T expr_name;  	/* DXF 305, a copy of the EvalExpr name */
+  BITCODE_T expr_description;	/* DXF 306 */
+  BITCODE_BD distance;  	/* DXF 140 */
   BITCODE_B orientation_on_both_grips;	/* DXF 280 */
   BLOCKPARAMVALUESET_fields;
 } Dwg_Object_BLOCKDIAMETRICCONSTRAINTPARAMETER;
@@ -7473,9 +7479,9 @@ typedef struct _dwg_object_BLOCKRADIALCONSTRAINTPARAMETER
 {
   struct _dwg_object_object *parent;
   BLOCKCONSTRAINTPARAMETER_fields;
-  BITCODE_T expr_name;  /* DXF 305, a copy of the EvalExpr name */
-  BITCODE_T expr_description; /* DXF 306 */
-  BITCODE_BD distance;  /* DXF 140 */
+  BITCODE_T expr_name;  	/* DXF 305, a copy of the EvalExpr name */
+  BITCODE_T expr_description;	/* DXF 306 */
+  BITCODE_BD distance;  	/* DXF 140 */
   BLOCKPARAMVALUESET_fields;
 } Dwg_Object_BLOCKRADIALCONSTRAINTPARAMETER;
 
diff --git a/src/dwg.spec b/src/dwg.spec
index 7aa7525279..1779acc77c 100644
--- a/src/dwg.spec
+++ b/src/dwg.spec
@@ -11124,6 +11124,7 @@ DWG_ENTITY_END
 
 DWG_ENTITY (FLIPGRIPENTITY)
   DECODE_UNKNOWN_BITS
+  //BLOCKGRIP_fields
   SUBCLASS (AcDbBlockFlipGripEntity)
   COMMON_ENTITY_HANDLE_DATA;
 DWG_ENTITY_END
@@ -11131,30 +11132,35 @@ DWG_ENTITY_END
 // ASME_PIPE_BLOCK, Civil_Slope_Marker_Imperial, Odkaz_sour_YX_situace
 DWG_ENTITY (LINEARGRIPENTITY)
   DECODE_UNKNOWN_BITS
+  //BLOCKGRIP_fields
   SUBCLASS (AcDbBlockLinearGripEntity)
   COMMON_ENTITY_HANDLE_DATA;
 DWG_ENTITY_END
 
 DWG_ENTITY (POLARGRIPENTITY)
   DECODE_UNKNOWN_BITS
+  //BLOCKGRIP_fields
   SUBCLASS (AcDbBlockPolarGripEntity)
   COMMON_ENTITY_HANDLE_DATA;
 DWG_ENTITY_END
 
 DWG_ENTITY (ROTATIONGRIPENTITY)
   DECODE_UNKNOWN_BITS
+  //BLOCKGRIP_fields
   SUBCLASS (AcDbBlockRotationGripEntity)
   COMMON_ENTITY_HANDLE_DATA;
 DWG_ENTITY_END
 
 DWG_ENTITY (VISIBILITYGRIPENTITY)
   DECODE_UNKNOWN_BITS
+  //BLOCKGRIP_fields
   SUBCLASS (AcDbBlockVisibilityGripEntity)
   COMMON_ENTITY_HANDLE_DATA;
 DWG_ENTITY_END
 
 DWG_ENTITY (XYGRIPENTITY)
   DECODE_UNKNOWN_BITS
+  //BLOCKGRIP_fields
   SUBCLASS (AcDbBlockXYGripEntity)
   COMMON_ENTITY_HANDLE_DATA;
 DWG_ENTITY_END
diff --git a/test/unit-testing/rotationgripentity.c b/test/unit-testing/rotationgripentity.c
index 38efcffbaa..075b687486 100644
--- a/test/unit-testing/rotationgripentity.c
+++ b/test/unit-testing/rotationgripentity.c
@@ -10,6 +10,6 @@ api_process (dwg_object *obj)
   Dwg_Version_Type dwg_version = obj->parent->header.version;
 #ifdef DEBUG_CLASSES
   dwg_ent_rotationgripentity *_obj = dwg_object_to_ROTATIONGRIPENTITY (obj);
-
+  // ..
 #endif
 }
